aboutsummaryrefslogtreecommitdiffstats
path: root/sysutils/symon/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'sysutils/symon/pkg-install')
-rw-r--r--sysutils/symon/pkg-install24
1 files changed, 24 insertions, 0 deletions
diff --git a/sysutils/symon/pkg-install b/sysutils/symon/pkg-install
new file mode 100644
index 000000000000..411bce8db330
--- /dev/null
+++ b/sysutils/symon/pkg-install
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+PATH=/bin:/usr/sbin
+
+USER=_symon
+GROUP=daemon
+UID=115
+
+case $2 in
+ PRE-INSTALL)
+ if pw user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -s /usr/sbin/nologin -L daemon -d /var/empty -c "Symon Account"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi
+ ;;
+esac